Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Client Secrets

Create client secret
POST
/realtime/client_secrets
Models
ClientSecretCreateResponse object { expires_at, session, value }

Response from creating a session and client secret for the Realtime API.

RealtimeSessionCreateResponse object { id, object, type, 13 more }

A Realtime session configuration object.

RealtimeTranscriptionSessionCreateResponse object { id, object, type, 3 more }

A Realtime transcription session configuration object.

RealtimeTranscriptionSessionTurnDetection object { prefix_padding_ms, silence_duration_ms, threshold, type }

Configuration for turn detection. Can be set to null to turn off. Server VAD means that the model will detect the start and end of speech based on audio volume and respond at the end of user speech. For gpt-realtime-whisper, this must be null; VAD is not supported.